Deflater
Date: 2016-06-24

java.util.zip

## Class Deflater

- java.lang.Object
- - java.util.zip.Deflater

-     public class Deflater
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BEST_COMPRESSION`
    `static int` | `BEST_SPEED`
    `static int` | `DEFAULT_COMPRESSION`
    `static int` | `DEFAULT_STRATEGY`
    `static int` | `DEFLATED`
    `static int` | `FILTERED`
    `static int` | `HUFFMAN_ONLY`
    `static int` | `NO_COMPRESSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Deflater()`
    `Deflater(int var0)`
    `Deflater(int var0, boolean var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `deflate(byte[] var0)`
    `int` | `deflate(byte[] var0, int var1, int var2)`
    `void` | `end()`
    `protected void` | `finalize()`
    `void` | `finish()`
    `boolean` | `finished()`
    `int` | `getAdler()`
    `int` | `getTotalIn()`
    `int` | `getTotalOut()`
    `boolean` | `needsInput()`
    `void` | `reset()`
    `void` | `setDictionary(byte[] var0)`
    `void` | `setDictionary(byte[] var0, int var1, int var2)`
    `void` | `setInput(byte[] var0)`
    `void` | `setInput(byte[] var0, int var1, int var2)`
    `void` | `setLevel(int var0)`
    `void` | `setStrategy(int var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BEST_COMPRESSION

          public static final int BEST_COMPRESSION

      See Also:
        Constant Field Values

    - #### BEST_SPEED

          public static final int BEST_SPEED

      See Also:
        Constant Field Values

    - #### DEFAULT_COMPRESSION

          public static final int DEFAULT_COMPRESSION

      See Also:
        Constant Field Values

    - #### DEFAULT_STRATEGY

          public static final int DEFAULT_STRATEGY

      See Also:
        Constant Field Values

    - #### DEFLATED

          public static final int DEFLATED

      See Also:
        Constant Field Values

    - #### FILTERED

          public static final int FILTERED

      See Also:
        Constant Field Values

    - #### HUFFMAN_ONLY

          public static final int HUFFMAN_ONLY

      See Also:
        Constant Field Values

    - #### NO_COMPRESSION

          public static final int NO_COMPRESSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Deflater

          public Deflater()

    - #### Deflater

          public Deflater(int var0)

    - #### Deflater

          public Deflater(int var0,
                  boolean var1)

  - ### Method Detail

    - #### deflate

          public int deflate(byte[] var0)

    - #### deflate

          public int deflate(byte[] var0,
                    int var1,
                    int var2)

    - #### end

          public void end()

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `Object`

    - #### finish

          public void finish()

    - #### finished

          public boolean finished()

    - #### getAdler

          public int getAdler()

    - #### getTotalIn

          public int getTotalIn()

    - #### getTotalOut

          public int getTotalOut()

    - #### needsInput

          public boolean needsInput()

    - #### reset

          public void reset()

    - #### setDictionary

          public void setDictionary(byte[] var0)

    - #### setDictionary

          public void setDictionary(byte[] var0,
                           int var1,
                           int var2)

    - #### setInput

          public void setInput(byte[] var0)

    - #### setInput

          public void setInput(byte[] var0,
                      int var1,
                      int var2)

    - #### setLevel

          public void setLevel(int var0)

    - #### setStrategy

          public void setStrategy(int var0)